Submit KYC Statement

put/api/accounts/{cardholderAccountId}/partner-kyc-statement

Submit a KYC statement about the cardholder.

Request

Path Parameters

  • cardholderAccountIdstringrequired

    ID of the cardholder account.

Body application/json

  • idempotencyKeystringrequired

    A client-supplied identifier that helps support idempotency for safely retrying requests without submitting the same statement twice (e.g. after a transient failure). This should change for each different version of the KYC statement you submit.

  • regionstringrequired

    An Alpha2 (ISO-3166-1) country code representing the country in which the user is being verified.

  • claimsobject[]required

    A list of claims about the cardholder's identity.

    Items

    Any of

    • claimTypestring
      Allowed values:DOB

      The type of claim.

    • attributesobject

      The attributes that support the DOB claim.

      • dateOfBirthstringrequired

        The cardholder's date of birth formatted as YYYY-MM-DD

  • evidenceobject[]required

    A list of evidence supporting the claimed identity. At least one piece of evidence is required.

    Items

    Any of

    • evidenceTypestringrequired
      Allowed values:PASSPORT

      The type of evidence.

    • documentIdstringrequired

      The passport number.

    • countrystringrequired

      ISO 3166-1 alpha-2 country code of the country that issued the document. See Supported Regions.

    • expirystringrequired

      The passport expiry formatted as YYYY-MM-DD.

  • attachmentsobject[]

    Items

    • fileIdstring

      The identifier of the uploaded file.

    • typestring
      Allowed values:proof-of-addressdrivers-licensepassportnational-idresidence-permitself-imagedata-source

      The type of attachment.

Response

KYC statement has been submitted successfully.